# List Conversations **GET /api/conversations.json** Retrieve a paginated list of conversations. **Also: Retrieve a Conversation by Phone Number** — pass `phone_number` to return `{ conversation, posts }` for that contact instead of a list. Optional `after_uuid` / `before_uuid` page posts in that mode. ## Servers - Production: https://application.textline.com (Production) ## Parameters ### Query parameters - **after_uuid** (string) The uuid of a post to use as non inclusive lower bound of post results - **before_uuid** (string) The uuid of a post to use as non inclusive upper bound of post results - **group_uuid** (string) The uuid of the department from which you want to retrieve conversations - **page** (number) Page of results (list mode) or page of posts (by phone). Default: 0. - **page_size** (number) Number of results to return (max: 50). Default: 30. - **phone_number** (string) If set, retrieve that contact's conversation and posts instead of listing conversations. ## Responses ### 200 OK #### Body: application/json (object) - **conversation** (object) - **posts** (array) [Powered by Bump.sh](https://bump.sh)